package cn.com.countrygarden.bi.main.service.twerp.hm;


import cn.com.countrygarden.bi.main.core.Service;
import cn.com.countrygarden.bi.main.model.twerp.hm.TbDesktopResource;
import cn.com.countrygarden.bi.main.model.twerp.hm.TbSysOrgan;

import java.util.List;
import java.util.Map;


public interface TbDesktopResourceService extends Service<TbDesktopResource> {
    TbDesktopResource sumAllFromCache();
    Map<String, Object> sumByUserCodeFromCache(String userCode, String organCode, String commID);
    TbDesktopResource sumByUserCodeFromMapper(Map<String, String> param);

    List<Map<String, String>> sumByOrganByUserCodeFromCache(String userCode, String organCode, String commID);
    List<TbDesktopResource> sumByOrganByUserCodeFromMapper(Map<String, String> param);


    List<Map<String, String>> sumDevelopmentSubjectFromCache(TbSysOrgan sysOrgan, String organCode, String commID);
    List<TbDesktopResource> sumDevelopmentSubjectFromMapper(Map<String, String> param);

    List<Map<String, String>> sumPropertyFormatFromCache(TbSysOrgan sysOrgan, String organCode, String commID);
    List<TbDesktopResource> sumPropertyFormatFromMapper(Map<String, String> param);

    List<Map<String, String>> sumByUserCodeByProvinceFromCache(String userCode, String organCode, String commID);
    List<TbDesktopResource> sumByUserCodeByProvinceFromMapper(Map<String, String> param);
}
